aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorNIIBE Yutaka <[email protected]>2022-02-15 17:21:25 +0900
committerNIIBE Yutaka <[email protected]>2022-02-15 17:21:25 +0900
commitbff9f1b024647e18b2c87dcd769c0e449f7752e6 (patch)
tree03f18e50fba26ccd2ccbfcf8d1c1e609903b050f
parent6994d874af865cc6ba95a8a6eb5a8fe048e88e07 (diff)
downloadlibgcrypt-bff9f1b024647e18b2c87dcd769c0e449f7752e6.tar.gz
libgcrypt-bff9f1b024647e18b2c87dcd769c0e449f7752e6.tar.bz2
libgcrypt-bff9f1b024647e18b2c87dcd769c0e449f7752e6.zip
build: Fix m4/gpg-error.m4.
* m4/gpg-error.m4: Unset GPGRT_CONFIG when it doesn't work well. -- With older version of libgpg-error (< 1.33), the gpgrt-config script doesn't support .pc files. Signed-off-by: NIIBE Yutaka <[email protected]>
-rw-r--r--m4/gpg-error.m43
1 files changed, 2 insertions, 1 deletions
diff --git a/m4/gpg-error.m4 b/m4/gpg-error.m4
index 56a5d075..4b5cd40b 100644
--- a/m4/gpg-error.m4
+++ b/m4/gpg-error.m4
@@ -10,7 +10,7 @@
# WITHOUT ANY WARRANTY, to the extent permitted by law; without even the
# implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
#
-# Last-changed: 2021-03-31
+# Last-changed: 2022-02-15
dnl AM_PATH_GPG_ERROR([MINIMUM-VERSION,
@@ -139,6 +139,7 @@ AC_DEFUN([AM_PATH_GPG_ERROR],
fi
elif test "$GPG_ERROR_CONFIG" != "no"; then
gpg_error_config_version=`$GPG_ERROR_CONFIG --version`
+ unset GPGRT_CONFIG
fi
if test "$GPG_ERROR_CONFIG" != "no"; then
req_major=`echo $min_gpg_error_version | \